Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ParamAddressValue

java.lang.Object
ru.bitel.bgbilling.kernel.contract.object.common.bean.ParamValue
ru.bitel.bgbilling.kernel.contract.object.common.bean.ParamAddressValue

All Implemented Interfaces:
  `Serializable`

public class ParamAddressValue extends ParamValue
Значение адресного параметра объекта.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamAddressValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `String`
  `getComment()`
  `String`
  `getFlat()`
  `int`
  `getFloor()`
  `String`
  `getFormatKey()`
  `int`
  `getHouseId()`
  `int`
  `getPod()`
  `String`
  `getRoom()`
  `ParamAddressValue`
  `setAddress(String address)`
  `ParamAddressValue`
  `setComment(String comment)`
  `ParamAddressValue`
  `setFlat(String flat)`
  `ParamAddressValue`
  `setFloor(int floor)`
  `ParamAddressValue`
  `setFormatKey(String formatKey)`
  `ParamAddressValue`
  `setHouseId(int houseId)`
  `ParamAddressValue`
  `setObjectId(int value)`
  `ParamAddressValue`
  `setParamId(int paramId)`
  `ParamAddressValue`
  `setPod(int pod)`
  `ParamAddressValue`
  `setRoom(String room)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.object.common.bean.ParamValue

  `getObjectId, getParamId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParamAddressValue

    public ParamAddressValue()

- ## Method Details

  - ### getAddress

    public String getAddress()

  - ### getComment

    public String getComment()

  - ### getFlat

    public String getFlat()

  - ### getFloor

    public int getFloor()

  - ### getFormatKey

    public String getFormatKey()

  - ### getHouseId

    public int getHouseId()

  - ### getPod

    public int getPod()

  - ### getRoom

    public String getRoom()

  - ### setAddress

    public ParamAddressValue setAddress(String address)

  - ### setComment

    public ParamAddressValue setComment(String comment)

  - ### setFlat

    public ParamAddressValue setFlat(String flat)

  - ### setFloor

    public ParamAddressValue setFloor(int floor)

  - ### setFormatKey

    public ParamAddressValue setFormatKey(String formatKey)

  - ### setHouseId

    public ParamAddressValue setHouseId(int houseId)

  - ### setPod

    public ParamAddressValue setPod(int pod)

  - ### setRoom

    public ParamAddressValue setRoom(String room)

  - ### setObjectId

    public ParamAddressValue setObjectId(int value)
    Overrides:
      `setObjectId` in class `ParamValue`

  - ### setParamId

    public ParamAddressValue setParamId(int paramId)
    Overrides:
      `setParamId` in class `ParamValue`